%Checks to see if the robot arm or gripper is moving.
%Returns 0 if the arm is not moving and 1 if the arm is still in transit.

function A = IsMoving ()
global RA_ALLCODE;
write (RA_ALLCODE, 58, uint8);    %Command Start ':'
write (RA_ALLCODE, 75, uint8);    %Command Code 'K'
write (RA_ALLCODE, 10, uint8);    %Command End '\n'
A = read(RA_ALLCODE, 1, uint8);   %Collect return value