%Collects the current joint angles of the motors.

function A = GetAngles ()
global RA_ALLCODE;
write (RA_ALLCODE, 58, uint8);    %Command Start ':'
write (RA_ALLCODE, 68, uint8);    %Command Code 'D'
write (RA_ALLCODE, 10, uint8);    %Command End '\n'
A = read(RA_ALLCODE, 3, uint16);  %Collect return values
A[0] = ((A[0] / 8) * 1.8) / 5.1;  %((StepCount / MicroStepRatio) * StepAngle) / GearRatio
A[1] = ((A[1] / 8) * 1.8) / 5.1;  %((StepCount / MicroStepRatio) * StepAngle) / GearRatio
A[2] = ((A[2] / 8) * 1.8) / 5.1;  %((StepCount / MicroStepRatio) * StepAngle) / GearRatio