Stores the specified joint angles into an internal none volatile memory location.

function StoreAngles ( index, A, B, C )
global RA_ALLCODE;

A = (A / 1.8) * 8 * 5.1;           %Scale angle back up to step count
B = (B / 1.8) * 8 * 5.1;           %Scale angle back up to step count
C = (C / 1.8) * 8 * 5.1;           %Scale angle back up to step count

write (RA_ALLCODE, 58, uint8);     %Command Start ':'
write (RA_ALLCODE, 71, uint8);     %Command Code 'G'
write (RA_ALLCODE, index, uint8);  %Parameter Position Index
write (RA_ALLCODE, A, uint16);     %Parameter Step Coordinate A
write (RA_ALLCODE, B, uint16);     %Parameter Step Coordinate B
write (RA_ALLCODE, C, uint16);     %Parameter Step Coordinate C
write (RA_ALLCODE, 10, uint8);     %Command End '\n'
